package org.wfc.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.wfc.user.api.domain.UKyc;
import org.wfc.user.domain.vo.UKycUserVo;

import java.util.List;

/**
 * <p>
 * 用户平台-KYC表 Mapper 接口
 * </p>
 *
 * @author sys
 * @since 2025-01-08
 */
public interface UKycMapper extends BaseMapper<UKyc> {

    public int isExistUserKyc(Long userId);

    public int insertUserKyc(UKyc uKyc);

    public int updateUserKyc(UKyc uKyc);

    List<UKycUserVo> selectKycByUserId(@Param("userId") Long userId);

}
